
Redmine - Feature #800

Enable versioning for Documents and Files modules

2008-03-06 18:11 - Jos Yule

Status: Closed Start date: 2008-03-06

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Documents Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I know, the first thing you are going to say is, "just use a VCS [1] repository and hook it into redmine". My use-case for this request is

for users of Redmine who are not going to be able to deal with the complexity of a VCS system. I'd like to be able to use a simple

web-based file system, like the one currently built into redmine, with a couple of additions. The system doesn't need all the

complexities that a full-on VCS requires. Simply keeping a copy of each "upload" of a document/file around and possibly a simple

lock/unlock sytem would be amazingly useful.  And, hopefully, not overly complex to build.

Another solution, although more complex, is to offer some basic integration with the VCS, via the Repository tab. When you click on

an individual file, include a link to "upload" (checkin, commit, whatever) a new version of that file. This, i'd imagine, would be more

difficult and fraught with unknowns then including a simple (like, really simple) versioning tool for the builtin documents/files modules.

Thanks,

Jos

[1] Version Control System

Related issues:

Is duplicate of Redmine - Feature #991: Document versioning New 2008-04-04

History

#1 - 2008-03-06 18:17 - Jos Yule

This is similar to Feature Request #736.

#2 - 2008-04-04 20:22 - Jos Yule

- Status changed from New to Resolved

A better description of what i'd like to see is in ticket #991.

#3 - 2008-04-04 21:33 - Thomas Lecavelier

- Status changed from Resolved to Closed

Closed as duplicated of #991 at reporter request.

#4 - 2014-06-22 02:07 - Toshi MARUYAMA

- Related to deleted (Feature #2555: Possibility for update Documents - version control )
